<html xmlns:th="http://www.thymeleaf.org">
	<body>
		<div th:fragment="table" class="overflow-x-auto">
			<table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
				<thead
					class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400"
				>
					<tr>
						<th scope="col" class="px-6 py-4 w-px whitespace-nowrap">#</th>
						<th scope="col" class="px-6 py-4">Nama</th>
						<th scope="col" class="px-6 py-4">Jenis Kelamin</th>
						<th scope="col" class="px-6 py-4">Status</th>
						<th scope="col" class="px-6 py-4">Jurusan</th>
						<th scope="col" class="px-6 py-4">
							<span class="sr-only">Action</span>
						</th>
					</tr>
				</thead>
				<tbody>
					<tr th:each="data,row : ${lectureList}"
						class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600"
					>
						<td class="px-6 py-4" th:text="${(row.index + 1) + (lectureList.number * lectureList.size)}">1</td>
						<th
							scope="row"
							class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white"
						>
							<div class="flex items-center gap-2">
								<img
									class="w-10 h-10 rounded-full"
									th:src="@{'/img/user.svg'}"
									alt=""
								/>
								<div class="font-medium dark:text-white">
									<div th:text="${data.employes.fullName}">Prof. Dr. KH. Tukiyem,S.Ag, M.Pd</div>
									<div class="text-sm text-gray-500 dark:text-gray-400" th:text="${data.employes.email}">
										tukiyem@tazkia.ac.id
									</div>
								</div>
							</div>
						</th>
						<td class="px-6 py-4">L</td>
						<td class="px-6 py-4">
							<div class="flex flex-wrap gap-1">
								<!-- badge pilih salah satu -->
								<span th:if="${data.lecturerType == data.lecturerType.DOSEN_TETAP}"
									class="bg-blue-100 text-blue-800 text-xs font-medium px-2.5 py-0.5 rounded dark:bg-blue-900 dark:text-blue-300"
									>Dosen Tetap</span
								>
								<span th:if="${data.lecturerType == data.lecturerType.DOSEN_TIDAK_TETAP}"
									class="bg-yellow-100 text-yellow-800 text-xs font-medium px-2.5 py-0.5 rounded dark:bg-yellow-900 dark:text-yellow-300"
									>Dosen Tidak Tetap</span
								>
								<span th:if="${data.lecturerType == data.lecturerType.DOSEN_HONORER}"
									class="bg-indigo-100 text-indigo-800 text-xs font-medium px-2.5	 py-0.5 rounded dark:bg-indigo-900 dark:text-indigo-300"
									>Dosen Honorer</span
								>
							</div>
						</td>
						<td class="px-6 py-4" th:text="${data.institutionProdi.prodiName}">13 Desember 1990</td>
						<td>
							<div class="px-6 py-4 flex gap-3 justify-end align-middle">
								<!-- show on trash only -->
								<form method="post" th:action="@{/restore-lecture (lecturer = ${data.id})}">
									<button th:if="${trash == true}"
											class="flex items-center gap-1 text-sm font-medium hover:text-green-500"
									>
										<svg
												class="w-5 h-5"
												xmlns="http://www.w3.org/2000/svg"
												fill="none"
												viewBox="0 0 28 28"
												stroke-width="2"
												stroke="currentColor"
										>
											<path
													stroke-linecap="round"
													stroke-linejoin="round"
													d="M9 15 3 9m0 0 6-6M3 9h12a6 6 0 0 1 0 12h-3"
											/>
										</svg>

										Pulihkan
									</button>
								</form>
								<!-- show on active only -->
								<button
									th:if="${trash != true}"
									id="action-dropdown-button"
									th:data-dropdown-toggle="${'action-dropdown-'+ data.id}"
									class="inline-flex items-center p-0.5 text-sm font-medium text-center text-gray-500 hover:text-gray-800 rounded-lg focus:outline-none dark:text-gray-400 dark:hover:text-gray-100"
									type="button"
								>
									<svg
										class="w-5 h-5"
										aria-hidden="true"
										fill="currentColor"
										viewbox="0 0 20 20"
										xmlns="http://www.w3.org/2000/svg"
									>
										<path
											d="M6 10a2 2 0 11-4 0 2 2 0 014 0zM12 10a2 2 0 11-4 0 2 2 0 014 0zM16 12a2 2 0 100-4 2 2 0 000 4z"
										/>
									</svg>
								</button>
								<div
									th:id="${'action-dropdown-'+data.id}"
									class="z-10 hidden overflow-hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44 dark:bg-gray-700"
								>
									<ul>
										<li>
											<a
												th:href="@{'/user/job-posiiton'}"
												class="w-full flex items-center gap-1 text-sm font-medium hover:text-blue-500 px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600"
											>
												<svg
													class="w-5 h-5"
													aria-hidden="true"
													xmlns="http://www.w3.org/2000/svg"
													width="24"
													height="24"
													fill="none"
													viewBox="0 0 24 24"
												>
													<path
														stroke="currentColor"
														stroke-linecap="round"
														stroke-linejoin="round"
														stroke-width="2"
														d="M8 7H5a2 2 0 0 0-2 2v4m5-6h8M8 7V5a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2m0 0h3a2 2 0 0 1 2 2v4m0 0v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-6m18 0s-4 2-9 2-9-2-9-2m9-2h.01"
													/>
												</svg>
												Position
											</a>
										</li>
										<li>
											<button
												th:attr="data-id=${data.id}, data-prodi=${data.institutionProdi.id},data-jenis=${data.lecturerType}, data-employes=${data.employes.id}"}
												onclick="editLecture(this.getAttribute('data-id'), this.getAttribute('data-prodi'), this.getAttribute('data-jenis'), this.getAttribute('data-employes'))"
												data-drawer-target="formEditDrawer"
												data-drawer-show="formEditDrawer"
												data-drawer-placement="right"
												aria-controls="formEditDrawer"
												class="w-full flex items-center gap-1 text-sm font-medium hover:text-blue-500 px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600"
											>
												<svg
													class="w-5 h-5"
													aria-hidden="true"
													xmlns="http://www.w3.org/2000/svg"
													width="24"
													height="24"
													fill="none"
													viewBox="0 0 24 24"
												>
													<path
														stroke="currentColor"
														stroke-linecap="round"
														stroke-linejoin="round"
														stroke-width="2"
														d="m14.304 4.844 2.852 2.852M7 7H4a1 1 0 0 0-1 1v10a1 1 0 0 0 1 1h11a1 1 0 0 0 1-1v-4.5m2.409-9.91a2.017 2.017 0 0 1 0 2.853l-6.844 6.844L8 14l.713-3.565 6.844-6.844a2.015 2.015 0 0 1 2.852 0Z"
													/>
												</svg>
												Edit
											</button>
										</li>
										<li>
											<form method="post" th:action="@{/delete-lecture (lecturer = ${data.id})}">
												<button
														class="w-full flex items-center gap-1 text-sm font-medium hover:text-red-500 px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600"
												>
													<svg
															class="w-5 h-5"
															aria-hidden="true"
															xmlns="http://www.w3.org/2000/svg"
															width="24"
															height="24"
															fill="none"
															viewBox="0 0 24 24"
													>
														<path
																stroke="currentColor"
																stroke-linecap="round"
																stroke-linejoin="round"
																stroke-width="2"
																d="M5 7h14m-9 3v8m4-8v8M10 3h4a1 1 0 0 1 1 1v3H9V4a1 1 0 0 1 1-1ZM6 7h12v13a1 1 0 0 1-1 1H7a1 1 0 0 1-1-1V7Z"
														/>
													</svg>
													Hapus
												</button>
											</form>
										</li>
										<li></li>
									</ul>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</body>
</html>
